Skip to navigation

Get a workflow task schema

Get a workflow task schema

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

schema_idstringRequired
The workflow task schema ID

Response

OK
archiveRecordobject or nullOptional
fieldDefinitionslist of objectsOptional
idstringOptional
namestringOptional
typestringOptional
canSetAssigneeOnTaskCreationbooleanOptional

Whether or not tasks of this schema can be created with a non-null assignee.

defaultCreationFolderIdstring or nullOptional
ID of the default folder for creating workflow task groups
defaultEntryExecutionFolderIdstring or nullOptional
ID of the default folder for workflow task execution entries
defaultResponsibleTeamobject or nullOptional
entryTemplateIdstring or nullOptional
The ID of the template of the entries tasks of this schema will be executed into.
isPropagateWatchersEnabledbooleanOptional
Whether propagation of watchers has been enabled for this task schema.
prefixstringOptional
The prefix for the displayId of tasks of this schema.
statusLifecycleobjectOptional
taskGroupPrefixstringOptional
The prefix for the displayId of task groups containing tasks of this schema
workflowOutputSchemaobject or nullOptional
defaultResponsiblePartieslist of objectsOptional
Default list of users and teams that are responsible for tasks of this schema
executionTypeenumOptional
The method by which instances of this schema are executed
flowchartConfigobjectOptional
modifiedAtdatetimeOptionalRead-only
DateTime the Oligo was last modified.

Errors

404
Not Found Error